Double-entry ledger journal (§13.1, read-only)
Immutable entries with postings (an entry's postings sum to 0). A user sees only entries that touch their addresses; an admin sees the entire Vault. Sorted by postedAt DESC, id DESC; keyset pagination.
curl -X GET "https://policy-engine-rest.ezig.workers.dev/api/v1/vaults/demo_vault/ledger/entries?from=example_string&to=example_string&token=example_string&tokenId=example_string&addressId=123%20Main%20St&operationType=deposit&operationId=example_string&entryType=example_string&limit=42&cursor=example_string" \
-H "Content-Type: application/json" \
-H "Authorization: Bearer YOUR_API_TOKEN"
import requests
import json
url = "https://policy-engine-rest.ezig.workers.dev/api/v1/vaults/demo_vault/ledger/entries?from=example_string&to=example_string&token=example_string&tokenId=example_string&addressId=123%20Main%20St&operationType=deposit&operationId=example_string&entryType=example_string&limit=42&cursor=example_string"
headers = {
"Content-Type": "application/json",
"Authorization": "Bearer YOUR_API_TOKEN"
}
response = requests.get(url, headers=headers)
print(response.json())
const response = await fetch("https://policy-engine-rest.ezig.workers.dev/api/v1/vaults/demo_vault/ledger/entries?from=example_string&to=example_string&token=example_string&tokenId=example_string&addressId=123%20Main%20St&operationType=deposit&operationId=example_string&entryType=example_string&limit=42&cursor=example_string", {
method: "GET",
headers: {
"Content-Type": "application/json",
"Authorization": "Bearer YOUR_API_TOKEN"
}
});
const data = await response.json();
console.log(data);
package main
import (
"fmt"
"net/http"
)
func main() {
req, err := http.NewRequest("GET", "https://policy-engine-rest.ezig.workers.dev/api/v1/vaults/demo_vault/ledger/entries?from=example_string&to=example_string&token=example_string&tokenId=example_string&addressId=123%20Main%20St&operationType=deposit&operationId=example_string&entryType=example_string&limit=42&cursor=example_string", nil)
if err != nil {
panic(err)
}
req.Header.Set("Content-Type", "application/json")
req.Header.Set("Authorization", "Bearer YOUR_API_TOKEN")
client := &http.Client{}
resp, err := client.Do(req)
if err != nil {
panic(err)
}
defer resp.Body.Close()
fmt.Println("Response Status:", resp.Status)
}
require 'net/http'
require 'json'
uri = URI('https://policy-engine-rest.ezig.workers.dev/api/v1/vaults/demo_vault/ledger/entries?from=example_string&to=example_string&token=example_string&tokenId=example_string&addressId=123%20Main%20St&operationType=deposit&operationId=example_string&entryType=example_string&limit=42&cursor=example_string')
http = Net::HTTP.new(uri.host, uri.port)
http.use_ssl = true
request = Net::HTTP::Get.new(uri)
request['Content-Type'] = 'application/json'
request['Authorization'] = 'Bearer YOUR_API_TOKEN'
response = http.request(request)
puts response.body
{
"items": [
{
"id": "example_string",
"vaultId": "example_string",
"entryType": "example_string",
"reference": "example_string",
"description": "example_string",
"operationType": "example_string",
"operationId": "example_string",
"token": {},
"effectiveAt": "example_string",
"postedAt": "example_string",
"createdAt": "example_string",
"postings": [
{
"id": "example_string",
"accountId": "example_string",
"amount": "example_string",
"amountDecimal": "example_string",
"direction": "example_string",
"token": {},
"account": {}
}
]
}
],
"nextCursor": "example_string"
}
{
"error": "Unauthorized",
"message": "Authentication required. Please provide a valid API token",
"code": 401
}
{
"error": "Not Found",
"message": "The requested resource was not found",
"code": 404
}
{
"error": "Internal Server Error",
"message": "An unexpected error occurred on the server",
"code": 500,
"requestId": "req_1234567890"
}
GET
/api/v1/vaults/{code}/ledger/entriesGET
Base URLstring
Target server for requests. Edit to use your own host.
Bearer Token
Bearer Tokenstring
RequiredSession token. Mobile/services. The web uses a cookie.
Session token. Mobile/services. The web uses a cookie.
API Key (cookie: session_token)
session_tokenstring
RequiredAPI key (sent in cookie)
path
codestring
RequiredUnique Vault code (slug)
Request Preview
Response
Response will appear here after sending the request
Authentication
header
Authorizationstring
RequiredBearer token. Session token. Mobile/services. The web uses a cookie.
path
parameterstring
RequiredAPI Key for authentication. Provide your API key in the cookie.
Path Parameters
Query Parameters
operationTypestring
Allowed values:
deposittransferResponses
itemsarray
RequirednextCursorstring
RequiredWas this page helpful?